### Method

# Clutter Actor get_text_direction

#### Declaration [src]

    ClutterTextDirection
    clutter_actor_get_text_direction (
      ClutterActor* self
    )

#### Description [src]

Retrieves the value set using `clutter_actor_set_text_direction()`

If no text direction has been previously set, the default text direction, as returned by clutter_get_default_text_direction(), will be returned instead.

Gets property | `Clutter.Actor:text-direction`

#### Return value

Type: `ClutterTextDirection`

The `ClutterTextDirection` for the actor.